Loading...
Searching...
No Matches
svn_wc_revision_status_t Struct Reference
Working copy management

A structure to report a summary of a working copy, including the mix of revisions found within it, whether any parts are switched or locally modified, and whether it is a sparse checkout. More...

`#include <svn_wc.h>`

## Data Fields

svn_revnum_t | min_rev
| Lowest revision found.
svn_revnum_t | max_rev
| Highest revision found.
svn_boolean_t | switched
| Is anything switched?
svn_boolean_t | modified
| Is anything modified?
svn_boolean_t | sparse_checkout
| Whether any WC paths are at a depth other than svn_depth_infinity or are user excluded.

## Detailed Description

A structure to report a summary of a working copy, including the mix of revisions found within it, whether any parts are switched or locally modified, and whether it is a sparse checkout.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.

Since
  New in 1.4

Definition at line 8145 of file svn_wc.h.

## Field Documentation

## max_rev

svn_revnum_t svn_wc_revision_status_t::max_rev

Highest revision found.

Definition at line 8148 of file svn_wc.h.

## min_rev

svn_revnum_t svn_wc_revision_status_t::min_rev

Lowest revision found.

Definition at line 8147 of file svn_wc.h.

## modified

svn_boolean_t svn_wc_revision_status_t::modified

Is anything modified?

Definition at line 8151 of file svn_wc.h.

## sparse_checkout

svn_boolean_t svn_wc_revision_status_t::sparse_checkout

Whether any WC paths are at a depth other than svn_depth_infinity or are user excluded.

Since
  New in 1.5.

Definition at line 8157 of file svn_wc.h.

## switched

svn_boolean_t svn_wc_revision_status_t::switched

Is anything switched?

Definition at line 8150 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h